=== debian/changelog ===
ros-indigo-geometric-shapes (0.4.6-0trusty) trusty; urgency=high

  * [enhance] Add warning about common Assimp bug (#63 <https://github.com/ros-planning/geometric_shapes/issues/63>)
  * [maintenance] Update maintainers (#66 <https://github.com/ros-planning/geometric_shapes/issues/66>)
  * Contributors: Dave Coleman

 -- Ioan Sucan <isucan@google.com>  Thu, 30 Nov 2017 08:00:00 -0000

ros-indigo-geometric-shapes (0.4.5-0trusty) trusty; urgency=high

  * [fix] mesh with too many vertices (#39 <https://github.com/ros-planning/geometric_shapes/issues/39>) (#60 <https://github.com/ros-planning/geometric_shapes/issues/60>)
  * [fix] gcc6 build error (#56 <https://github.com/ros-planning/geometric_shapes/issues/55>)
  * [fix] Clear root transformation on imported Collada meshes. #52 <https://github.com/ros-planning/geometric_shapes/issues/52>
  * [fix] incorrect hint always sent to Assimp, improved STL reading (#24 <https://github.com/ros-planning/geometric_shapes/issues/24>)
  * [fix] append cmake module path instead of prepending. Fixes #22 <https://github.com/ros-planning/geometric_shapes/issues/22>
  * [fix] FindQhull with non-debian systems (#30 <https://github.com/ros-planning/geometric_shapes/issues/30>)
  * [improve] relax mesh containment test (#58 <https://github.com/ros-planning/geometric_shapes/issues/58>)
  * [maintenance] Switch boost::shared_ptr to std::shared_ptr. #57 <https://github.com/ros-planning/geometric_shapes/pull/57>
  * [maintenance] Fix travis for Indigo (#53 <https://github.com/ros-planning/geometric_shapes/issues/53>)
  * [maintenance] catkin_lint and cleanup #43 <https://github.com/ros-planning/geometric_shapes/issues/43>
  * [maintenance] add notice that project will be built in Release mode
  * [maintenance] cmake cleanup and improvement (#35 <https://github.com/ros-planning/geometric_shapes/issues/35> and others)
  * Contributors: Dave Coleman, Ioan A Sucan, Isaac I.Y. Saito, Jochen Sprickerhof, Jorge Santos Simon, Lukas Bulwahn, Maarten de Vries, Michael Goerner,

 -- Ioan Sucan <isucan@google.com>  Thu, 20 Oct 2016 07:00:00 -0000

ros-indigo-geometric-shapes (0.4.4-0trusty) trusty; urgency=high

  * Merge pull request #37 <https://github.com/ros-planning/geometric_shapes/issues/37> from corot/indigo-devel
    Fix issue #28 <https://github.com/ros-planning/geometric_shapes/issues/28> on small radius cylinders
  * Contributors: Dave Coleman, Jorge Santos Simon

 -- Ioan Sucan <isucan@google.com>  Sun, 06 Mar 2016 08:00:00 -0000

ros-indigo-geometric-shapes (0.4.3-0trusty) trusty; urgency=high

  * add functions for better display of convex meshes
  * produce actual triangles for qhull mesh
  * Fixed inverted scale for convex meshes inside check
  * Contributors: Christian Dornhege, Michael Ferguson

 -- Ioan Sucan <isucan@google.com>  Thu, 30 Apr 2015 07:00:00 -0000

ros-indigo-geometric-shapes (0.4.2-0trusty) trusty; urgency=high

  * PR #32 <https://github.com/ros-planning/geometric_shapes/issues/32>
    Merge shape_tools package into geometric shapes
  * PR #33 <https://github.com/ros-planning/geometric_shapes/issues/33>
    Add run_depend on visualization_msgs
  * PR #26 <https://github.com/ros-planning/geometric_shapes/issues/26>
    Prevent every mesh generation opening a new file handle.
  * Contributors: Christian Dornhege, Dave Coleman, Jochen Sprickerhof, Michael Ferguson, Steven Peters

 -- Ioan Sucan <isucan@google.com>  Wed, 22 Apr 2015 07:00:00 -0000

ros-indigo-geometric-shapes (0.4.1-0trusty) trusty; urgency=high

  * update distro for travis testing. precise:=trusty
  * update to use debian console_bridge dependency. https://github.com/ros/rosdistro/issues/4633
  * Contributors: Ioan A Sucan, Tully Foote

 -- Ioan Sucan <isucan@google.com>  Mon, 07 Jul 2014 07:00:00 -0000

ros-indigo-geometric-shapes (0.4.0-0trusty) trusty; urgency=high

  * update usage of console_bridge to deal with version in Trusty
  * Merge pull request #13 <https://github.com/ros-planning/geometric_shapes/issues/13> from ros-planning/testing-in-travis
    Run local and moveit_core tests in Travis builds.
  * Merge pull request #18 <https://github.com/ros-planning/geometric_shapes/issues/18> from dirk-thomas/hydro-devel
    fix configure config.h.in when paths contain spaces fix #9 <https://github.com/ros-planning/geometric_shapes/issues/9>
  * Run local and moveit_core tests in Travis builds.
  * Contributors: Acorn, Dave Hershberger, Dirk Thomas, Ioan A Sucan, William Woodall

 -- Ioan Sucan <isucan@google.com>  Tue, 24 Jun 2014 07:00:00 -0000

ros-indigo-geometric-shapes (0.3.8-0trusty) trusty; urgency=high

  * fix how we find eigen
  * Contributors: Ioan Sucan

 -- Ioan Sucan <isucan@willowgarage.com>  Tue, 25 Feb 2014 08:00:00 -0000

ros-indigo-geometric-shapes (0.3.7-0trusty) trusty; urgency=high

  * add build dep so we can find eigen, build fixes
  * Contributors: Ioan A Sucan, Scott K Logan

 -- Ioan Sucan <isucan@willowgarage.com>  Sun, 23 Feb 2014 08:00:00 -0000

ros-indigo-geometric-shapes (0.3.6-0trusty) trusty; urgency=high

  * Use assimp-dev dep for building
  * Remove stray IS_ASSIMP3 define
  * Invert Assimp version detect logic for greater accuracy
  * Better feature detection for assimp version
  * added travis support
  * check for CATKIN_ENABLE_TESTING
  * Contributors: Dave Hershberger, Ioan A Sucan, Lukas Bulwahn, Scott K Logan

 -- Ioan Sucan <isucan@willowgarage.com>  Fri, 31 Jan 2014 08:00:00 -0000

ros-indigo-geometric-shapes (0.3.5-0trusty) trusty; urgency=high

  * Fix syntax error.
  * white space fixes (tabs are now spaces)
  * add comments for shape definitions

 -- Ioan Sucan <isucan@willowgarage.com>  Mon, 23 Sep 2013 07:00:00 -0000
