=== debian/control ===
Source: ros-indigo-geometric-shapes
Section: misc
Priority: extra
Maintainer: Ioan Sucan <isucan@google.com>
Build-Depends: debhelper (>= 9.0.0), libassimp-dev, libboost-all-dev, libconsole-bridge-dev, libeigen3-dev, libqhull-dev, pkg-config, ros-indigo-catkin (>= 0.5.68), ros-indigo-cmake-modules, ros-indigo-eigen-stl-containers, ros-indigo-octomap, ros-indigo-random-numbers, ros-indigo-resource-retriever, ros-indigo-rosunit, ros-indigo-shape-msgs, ros-indigo-visualization-msgs
Homepage: http://ros.org/wiki/geometric_shapes
Standards-Version: 3.9.2

Package: ros-indigo-geometric-shapes
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libassimp-dev, libboost-all-dev, libconsole-bridge-dev, libeigen3-dev, libqhull-dev, ros-indigo-eigen-stl-containers, ros-indigo-octomap, ros-indigo-random-numbers, ros-indigo-resource-retriever, ros-indigo-shape-msgs, ros-indigo-visualization-msgs
Description: This package contains generic definitions of geometric shapes and bodies.
